Summary: Apache External Authentication
Name: mod_auth_external
Version: 2.2.3
Release: 3
Group: Utilities/Apache
License: Unknown
SOURCE0: mod_auth_external-%{version}.tar.gz
SOURCE1: pwauth.pam
SOURCE2: mod_auth_external.conf
Patch: pwauth.patch
BuildRoot: %{_tmppath}/mod_auth_external-%{version}
BuildPreReq: httpd-devel >= 2
Requires: httpd >= 2
%description
This package allows the system administrator to externaly authenticate users
of the web server.

%changelog
* Sun Jul 30 2006 David Summers <david@summersoft.fay.ar.us> 2.2.3-3
* Changes to work with x86_64 architecture.

* Mon Mar 01 2003 David Summers <dsummers@digital-realms.com> 2.2.3-2
- Second version fixes problems with group authentication caused by
  mis-understanding how it was working.  The answer is the user and group
  authentication are separate programs.
- Added drop-in apache configuration for Apache 2.X /etc/httpd/conf.d.

%prep
%setup

%patch -p0

mv pwauth/README pwauth/README.pwauth
mv pwauth/INSTALL pwauth/INSTALL.pwauth

%build
/usr/sbin/apxs -c mod_auth_external.c

cd pwauth
make pwauth

%install
rm -rf $RPM_BUILD_ROOT
%ifnarch i386
%define libdir lib64
%else
%define libdir lib
%endif
mkdir -p $RPM_BUILD_ROOT/usr/%{libdir}/httpd/modules
mkdir -p $RPM_BUILD_ROOT/usr/libexec
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
cp .libs/mod_auth_external.so $RPM_BUILD_ROOT/usr/%{libdir}/httpd/modules

# Copy the pwauth program.
cp pwauth/pwauth $RPM_BUILD_ROOT/usr/libexec

# Copy the grauth program.
cp pwauth/unixgroup $RPM_BUILD_ROOT/usr/libexec/grauth

# Copy the PAM program.
cp $RPM_SOURCE_DIR/pwauth.pam $RPM_BUILD_ROOT/etc/pam.d/pwauth

# Copy the mod_auth_extneral.conf
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/*
%config /etc/httpd/conf.d/*
%doc CHANGES README TODO
%doc pwauth/*.pwauth
/usr/%{libdir}/httpd/modules/*
%attr(4555,root,root) /usr/libexec/pwauth
/usr/libexec/grauth
